org.appng.appngizer.controller

## Class SubjectController

- java.lang.Object
- - org.appng.appngizer.controller.ControllerBase
  - - org.appng.appngizer.controller.SubjectController

-     @RestController
      public class SubjectController
      extends ControllerBase

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.controller.ControllerBase

      `configurer, context, coreService, databaseService, session, templateService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubjectController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Subject` | `addGroups(SubjectImpl subject)`
    `void` | `assignGroups(String name, Subject subject)`
    `org.springframework.http.ResponseEntity<Subject>` | `createSubject(Subject subject)`
    `org.springframework.http.ResponseEntity<Void>` | `deleteSubject(String name)`
    `org.springframework.http.ResponseEntity<Subject>` | `getSubject(String name)`
    `org.springframework.http.ResponseEntity<Subjects>` | `listSubjects()`
    `org.springframework.http.ResponseEntity<Subject>` | `updateSubject(String name, Subject subject)`

    - ### Methods inherited from class org.appng.appngizer.controller.ControllerBase

      `getDatabaseStatus, getSharedSecret, onBusinessException, onConflictException, onConstraintViolationException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubjectController

          public SubjectController()

  - ### Method Detail

    - #### listSubjects

          @GetMapping(value="/subject")
          public org.springframework.http.ResponseEntity<Subjects> listSubjects()

    - #### getSubject

          @GetMapping(value="/subject/{name:.+}")
          public org.springframework.http.ResponseEntity<Subject> getSubject(@PathVariable(value="name")
                                                                                                                     String name)

    - #### addGroups

          public Subject addGroups(SubjectImpl subject)

    - #### createSubject

          @PostMapping(value="/subject")
          public org.springframework.http.ResponseEntity<Subject> createSubject(@RequestBody
                                                                                                               Subject subject)
                                                                                                        throws BusinessException

      Throws:
        `BusinessException`

    - #### updateSubject

          @PutMapping(value="/subject/{name:.+}")
          public org.springframework.http.ResponseEntity<Subject> updateSubject(@PathVariable(value="name")
                                                                                                                        String name,
                                                                                                                        @RequestBody
                                                                                                                        Subject subject)
                                                                                                                 throws BusinessException

      Throws:
        `BusinessException`

    - #### assignGroups

          public void assignGroups(String name,
                                   Subject subject)
                            throws BusinessException

      Throws:
        `BusinessException`

    - #### deleteSubject

          @DeleteMapping(value="/subject/{name:.+}")
          public org.springframework.http.ResponseEntity<Void> deleteSubject(@PathVariable(value="name")
                                                                                                                        String name)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.